Unverified Commit 00dc20e2 authored by Kroese's avatar Kroese Committed by GitHub
Browse files

Display exit code

parent 778bc9ff
Loading
Loading
Loading
Loading
+2 −3
Original line number Diff line number Diff line
@@ -69,9 +69,8 @@ else
  PROGRESS="--progress=dot:giga"
fi

if ! wget "$URL" -O "$PAT" -q --no-check-certificate --show-progress "$PROGRESS"; then
  echo "ERROR: Failed to download $URL" && exit 69
fi
{ wget "$URL" -O "$PAT" -q --no-check-certificate --show-progress "$PROGRESS"; rc=$?; } || :
(( rc != 0 )) && echo "ERROR: Failed to download $URL, reason: $rc" && exit 69

[ ! -f "$PAT" ] && echo "ERROR: Failed to download $URL" && exit 69